local base = {}

base.x = 0
base.y = 0

function base:setPos( x, y )
	base.x = x
	base.y = y
end

function base:getPos()
	return base.x, base.y;
end

function base:spawn()
	self.isAlive = true
end

-- Distance of this object to a vector
function base:distance(x,y)
	return distance(self.x,self.y, x,y)
end

function base:load()
end

-- Is it in the camera's view
function base:isVisible()
	return true
end

function base:remove()
	ents.Destroy(self.id)
end

--Gets the X and Y *radius* bounds of the entity
function base:getSize()
	return 0,0
end

return base;