local turret = ents.Derive("base")

function turret:load(x, y)
	self.name = "Turret "..self.id
	self.maxTurn = math.pi/3 
end

function turret:draw()
	lgr.setColor(255,255,255,255)
	lgr.draw( tStation, self.x, self.y, self.rot, 1, 1, 16, 16)
	
	local dirx = math.cos( self.turretrot - math.pi/2) 
	local diry = math.sin( self.turretrot - math.pi/2)
	lgr.line(self.x,self.y, self.x+dirx*300, self.y+diry*300)
end	

function turret:spawn()

end

function turret:getSize()
	return self.radius, self.radius
end


function turret:update(dt)
	-- Gest the rotation vector betwen itself and the mouse location.
	self.turretrot = rotation(self.x,-self.y, getWorldX(), getWorldY())
	
	local max = self.rot + self.maxTurn
	local min = self.rot - self.maxTurn
	
	self.turretrot = clamp(self.turretrot, min, max) -- ISSUE HERE with + / - values


end

return turret
